package de.uni_marburg.powersort.benchmark;

/**
 * Provides utility methods related to random integers.
 */
public final class RandomInt {
  private RandomInt() {
  }

  /**
   * Returns a random integer.
   *
   * @return A random integer.
   */
  public static int integer() {
    return integer(Integer.MIN_VALUE, Integer.MAX_VALUE);
  }
  public static int integer(final int minInt, final int maxInt) {
    final double random = Math.random() * (maxInt - minInt) - minInt;
    return (int) Math.round(random);
  }
}
